######################################################################
# datTank_tr_pala.cs
# Terran Paladin
#
######################################################################

#                    Identity_Tag           Abbreviation          Shape             Mass               MaxMass                     RCS            Tech_Level   Combat_Value
tankBase(            IDVEH_TR_PALA,         "PALA",               "tr_pala.dts",                15.00 ,                     60.00 ,         0.90 ,          2 ,         2005);

#                    maxPosAcc              minPosVel             maxForPosVel      maxRevPosVel       (all_m/s)
tankPos(                             20.00 ,                3.00 ,           15.00 ,             -15.00);

#                    minRotVel              maxRVSlow             maxRVFast         maxRVTurret        (all_deg/s)
tankRot(                              6.00 ,               55.00 ,           25.00 ,              65.00);

#                    offsetX                offsetY               offsetZ
tankCpit(            0.0,                   0.0,                  0);

#                    sphOffstX              sphOffstY             sphOffstZ         sphereRad
tankColl(            0.0,                   0.0,                  2.9,                                3);

#                    TreadAnim_Rot_Coeff    Tread_Anim_Pos_Coeff
tankAnim(            2.0,                                     0.25);

#                    engine_sound_tag       has_thrusters
tankSound(           IDSFX_TANK_ENGINE_2,            TRUE         );

#                    fireBayesNetName
tankAI(              "tankFire.ai",          "targetPart.ai",     "tankManeuver.ai","tankRetreat.ai"   );

#                                           Hard Points
#                                           (sizes:SMLX           sides:TBLR)       Dmg                Offset_fm_Node                                          X_rot_rnge         Z_rot_rnge
#                    id                     size                  side              Prnt               X___                        Y___           Z___         min__        max_  min__           max__
newHardPoint(        0,                     X,                    R,                TankHead,          1.6,                        0.0,           0.4,         -15.0,       60.0, -60.0,              60);
HardPointDamage(                        5000);
HardPointSpecial(                         21);
newHardPoint(        1,                     X,                    L,                TankHead,          -1.6,                       0.0,           0.4,         -15.0,       60.0, -60.0,              60);
HardPointDamage(                        5000);
HardPointSpecial(                         21);

#                    id                     size                  Dmg_Parent        Allowed_Mountables
newMountPoint(       0,                     L,                    Body,             Engine);
newMountPoint(       1,                     M,                    Body,             Reactor);
newMountPoint(       2,                     S,                    TankHead,         Computer);
newMountPoint(       3,                     L,                    none,             Armor);
newMountPoint(       4,                     L,                    TankHead,         Sensors);
newMountPoint(       5,                     M,                    TankHead,         ECM,               ThermalDiffuser,            LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                                    LifeSupport,       Capacitor,                  AgravGenerator,TurbineBoost,RocketBooster);
newMountPoint(       6,                     L,                    Body,             ECM,               ThermalDiffuser,            LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                                    LifeSupport,       Capacitor,                  AgravGenerator,TurbineBoost,RocketBooster);
newMountPoint(       7,                     L,                    Body,             ECM,               ThermalDiffuser,            LaserTargeting,NanoRepair,  Battery,     Cloak,FieldStabilizer,
                                                                                    LifeSupport,       Capacitor,                  AgravGenerator,TurbineBoost,RocketBooster);
#                    Internal               Components
#                    id                     type                  parent            max_dmg            identity_tag
newComponent(        Armor,                 Armor,                none,                          7000 ,IDCOM_ARMOR                 );
newComponent(        LeftServos,            LeftServos,           none,                           500 ,IDCOM_LEFT_TREAD_SERVOS     );
newComponent(        RightServos,           RightServos,          none,                           500 ,IDCOM_RIGHT_TREAD_SERVOS    );

#                    External               Components
#                    id                     type                  parent            max_dmg            identity_tag                total internals         5000
newComponent(        Body,                  Body,                 none,                          2000 ,IDCOM_BODY                  );                    # 0.30
newComponent(        TankHead,              TankHead,             Body,                          2000 ,IDCOM_HEAD                  );                    # 0.20
newComponent(        LeftTread,             LeftTread,            Body,                          2000 ,IDCOM_LEFT_TREAD            );                    # 0.25
newComponent(        RightTread,            RightTread,           Body,                          2000 ,IDCOM_RIGHT_TREAD           );                    # 0.25
newComponent(        Pilot,                 Pilot,                none,                           300 ,IDCOM_PILOT                 );
#                                                                                                  8000                                                    1.00

#                    Distribution           of                    internal          components         among                       external       components
#                    containee              container             percent/100
newConfiguration(    Armor,                 Body,                                0.3);                                       # 2100
newConfiguration(    Armor,                 TankHead,                            0.2);                                       # 1400
newConfiguration(    Armor,                 LeftTread,                          0.25);                                       # 1750
newConfiguration(    Armor,                 RightTread,                         0.25);                                       # 1750
#                    -----
#                                                                               1.00

newConfiguration(    LeftServos,            LeftTread,                             1);
newConfiguration(    RightServos,           RightTread,                            1);

defaultWeapons(      129,                   129);
defaultMountables(   109,                   202,                  802,              928,               410,                        810,           820,                   860);
"